Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/agents/cma_core.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
cma_core.h File Reference
`#include "cm.h"`
`#include "attribute.h"`

Go to the source code of this file.

## Functions

void | cma_init (void)
bool | cma_apply_result (struct city *pcity, const struct cm_result *result)
void | cma_put_city_under_agent (struct city *pcity, const struct cm_parameter *const parameter)
void | cma_release_city (struct city *pcity)
bool | cma_is_city_under_agent (const struct city *pcity, struct cm_parameter *parameter)
bool | cma_get_parameter (enum attr_city attr, int city_id, struct cm_parameter *parameter)
void | cma_set_parameter (enum attr_city attr, int city_id, const struct cm_parameter *parameter)

## Function Documentation

## ◆ cma_apply_result()

bool cma_apply_result | ( | struct city * | pcity,
|  | const struct cm_result * | result
| ) |  |

Apply result on server if it's valid

Definition at line 508 of file cma_core.c.

Referenced by run_cma_once_callback().

## ◆ cma_get_parameter()

bool cma_get_parameter | ( | enum attr_city | attr,
|  | int | city_id,
|  | struct cm_parameter * | parameter
| ) |  |

Get the parameter.

Don't bother to cm_init_parameter(), since we set all the fields anyway. But leave the comment here so we can find this place when searching for all the creators of a parameter.

Definition at line 573 of file cma_core.c.

Referenced by check_city(), cma_is_city_under_agent(), and cmafec_get_fe_parameter().

## ◆ cma_init()

void cma_init | ( | void |  | ) |

Initialize city governor code

Definition at line 477 of file cma_core.c.

Referenced by agents_init().

## ◆ cma_is_city_under_agent()

bool cma_is_city_under_agent | ( | const struct city * | pcity,
|  | struct cm_parameter * | parameter
| ) |  |

Check whether city is under governor control, and fill parameter if it is.

Definition at line 550 of file cma_core.c.

Referenced by adjust_workers_button_pressed(), append_cma_to_menu_item(), button_down_citymap(), canvas_draw_cb(), canvas_exposed_cb(), city_dlg_callback(), cma_activate_preset_callback(), cma_active_callback(), cma_apply_result(), city_dialog::cma_double_clicked(), city_dialog::cma_enable(), city_dialog::cma_selected(), city_dialog::cma_slider(), city_dialog::cma_toggle_changed(), cmafec_get_fe_parameter(), cmafec_get_short_descr_of_city(), create_governor_menu(), enable_city_dlg_widgets(), factor_horiz_cma_callback(), hscale_changed(), ld_cma_callback(), left_button_down_citymap(), min_horiz_cma_callback(), city_label::mousePressEvent(), city_map::paintEvent(), popup_load_del_presets_dialog(), real_city_dialog_popup(), real_city_report_dialog_update_city(), real_info_city_report_dialog_update(), rebuild_citydlg_title_str(), redraw_city_dialog(), refresh_cma_dialog(), select_cma_callback(), select_governor_callback(), set_client_state(), update_city_cma_dialog(), city_dialog::update_cma_tab(), and city_dialog::update_sliders().

## ◆ cma_put_city_under_agent()

void cma_put_city_under_agent | ( | struct city * | pcity,
|  | const struct cm_parameter *const | parameter
| ) |  |

Put city under governor control

Definition at line 522 of file cma_core.c.

Referenced by button_press_callback(), button_press_callback(), cma_activate_preset_callback(), cma_active_callback(), city_dialog::cma_changed(), city_dialog::cma_double_clicked(), cma_iterate(), city_dialog::cma_selected(), city_widget::display_list_menu(), factor_horiz_cma_callback(), governors_iterate(), hscale_changed(), min_horiz_cma_callback(), and run_cma_callback().

## ◆ cma_release_city()

void cma_release_city | ( | struct city * | pcity | ) |

Release city from governor control.

Definition at line 540 of file cma_core.c.

Referenced by check_city(), cma_activate_preset_callback(), cma_active_callback(), city_dialog::cma_double_clicked(), city_dialog::cma_enable(), cma_iterate(), city_dialog::cma_selected(), city_widget::display_list_menu(), factor_horiz_cma_callback(), governors_iterate(), handle_city(), hscale_changed(), ld_cma_callback(), min_horiz_cma_callback(), popup_cma_from_city_report_callback(), popup_load_del_presets_dialog(), set_client_state(), and stop_cma_callback().

## ◆ cma_set_parameter()

void cma_set_parameter | ( | enum attr_city | attr,
|  | int | city_id,
|  | const struct cm_parameter * | parameter
| ) |  |

Set attribute block for city from parameter.

Definition at line 621 of file cma_core.c.

Referenced by cma_put_city_under_agent(), and cmafec_set_fe_parameter().